Class
PropertyMap
Class used to save additional data together with a MemoryManager.
PropertyMap<TValue, Block<size> >
Include Headers
seqan/seeds.h
Parameters

TValue | The value type, that is the type of the items/characters stored in the manager. Remarks: Use Value to get the value type for a given class.
size | A positive integer that specifies the number of values in each allocated block. Remarks: Size has to be a power of 2, e.g., 1024.

Metafunctions

Value | Type of the items in the container.

Functions

createIntervalTree | Create an interval tree.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45